Index: code/trunk/data/levels/jump.oxw
===================================================================
--- code/trunk/data/levels/jump.oxw	(revision 10258)
+++ code/trunk/data/levels/jump.oxw	(revision 10259)
@@ -22,15 +22,15 @@
 
 <Template name=figureLeftHand defaults=0>
-  <Model position="4.0,0.0,5.0" mesh="JumpFigureLeftHand.mesh" scale=1>
+  <Model position="4.0,0.0,5.0" mesh="JumpFigureLeftHand.mesh" scale=1 pitch=90>
   </Model>
 </Template>
 
 <Template name=figureRightHand defaults=0>
-  <Model position="-4.0,0.0,5.0" mesh="JumpFigureRightHand.mesh" scale=1>
+  <Model position="-4.0,0.0,5.0" mesh="JumpFigureRightHand.mesh" scale=1 pitch=90>
   </Model>
 </Template>
 
 <Template name=jumpFigureTemplate>
-  <JumpFigure camerapositiontemplate=jumpfigurecameras mouseFactor="100.0" modelLefthand=figureLeftHand  modelRighthand=figureRightHand rocketPos=8.0 propellerPos=8.0 bootsPos=-5.2 jumpSpeed=250.0 handMinAngle=-20 handMaxAngle=75 handSpeed=250 rocketSpeed=250.0 propellerSpeed=150.0>
+  <JumpFigure camerapositiontemplate=jumpfigurecameras mouseFactor="100.0" modelLefthand=figureLeftHand  modelRighthand=figureRightHand rocketPos=10.0 propellerPos=10.0 bootsPos=-5.2 jumpSpeed=250.0 handMinAngle=-20 handMaxAngle=75 handSpeed=250 rocketSpeed=250.0 propellerSpeed=150.0>
     <attached>
       <Model position="0,0,0" mesh="JumpFigure.mesh" scale=1 pitch=90/>
@@ -105,5 +105,5 @@
 
 <Template name=jumpEnemy1Template>
-  <JumpEnemy height=13 width=35>
+  <JumpEnemy height=7 width=18>
     <attached>
       <Model mesh="JumpEnemy1.mesh" scale=1  pitch=90/>
@@ -115,13 +115,13 @@
 
 <Template name=jumpEnemy2Template>
-  <JumpEnemy height=15 width=36>
+  <JumpEnemy height=8 width=20>
     <attached>
       <Model mesh="JumpEnemy2.mesh" scale=1  pitch=90/>
-      <MovableEntity position="-16, 0, 2" rotationaxis="0, 1, 0" rotationrate=500 >
+      <MovableEntity position="-17, 0, 4" rotationaxis="0, 1, 0" rotationrate=500 >
         <attached>
           <Model mesh="JumpEnemy2Wing.mesh" scale=1 pitch=90/>
         </attached>
       </MovableEntity>      
-      <MovableEntity position="16, 0, 2" rotationaxis="0, 1, 0" rotationrate=500 >
+      <MovableEntity position="17, 0, 4" rotationaxis="0, 1, 0" rotationrate=500 >
         <attached>
           <Model mesh="JumpEnemy2Wing.mesh" scale=1 pitch=90/>
@@ -134,5 +134,5 @@
 
 <Template name=jumpEnemy3Template>
-  <JumpEnemy height=18.5 width=14>
+  <JumpEnemy height=8.2 width=11.2>
     <attached>
       <Model mesh="JumpEnemy3.mesh" scale=1  pitch=90/>
@@ -145,5 +145,5 @@
 
 <Template name=jumpEnemy4Template>
-  <JumpEnemy height=12.5 width=36 rotationaxis="0, 0, 1" rotationrate=40 >
+  <JumpEnemy height=7.5 width=21.5 rotationaxis="0, 0, 1" rotationrate=40 >
     <attached>
       <Model mesh="JumpEnemy4.mesh" scale=1  pitch=90/>
@@ -242,19 +242,50 @@
             <Model position="0,0,-1000" mesh="JumpPlatform05.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpPlatform06.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="JumpProjectile.mesh" scale="1" />            
+            <Model position="0,0,-1000" mesh="JumpProjectile.mesh" scale="1" />
+            <Model position="0,0,-1000" mesh="JumpFigure.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpEnemy1.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpEnemy2.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="JumpEnemy2Wing.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpEnemy3.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpEnemy4.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpSpring.mesh" scale="1" />
             <Model position="0,0,-1000" mesh="JumpRocket.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="JumpPropeller.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="JumpShield.mesh" scale="1" />
-            <Model position="0,0,-1000" mesh="JumpBoots.mesh" scale="1" />
           </attached>
         </JumpCenterpoint>
       </attached>
     </MovableEntity>
+
+    <EventDispatcher>
+      <targets>
+        <EventTarget target=scoreeffect_right />
+        <EventTarget target=scoreeffect_center />
+      </targets>
+      <events>
+        <spawn>
+          <EventFilter>
+            <names>
+              <EventName name=right />
+            </names>
+            <EventListener event=jumpcenter />
+          </EventFilter>
+        </spawn>
+      </events>
+    </EventDispatcher>
+    <EventDispatcher>
+      <targets>
+        <EventTarget target=scoreeffect_left />
+        <EventTarget target=scoreeffect_center />
+      </targets>
+      <events>
+        <spawn>
+          <EventFilter>
+            <names>
+              <EventName name=left />
+            </names>
+            <EventListener event=jumpcenter />
+          </EventFilter>
+        </spawn>
+      </events>
+    </EventDispatcher>
+
   </Scene>
 </Level>
